Module ij
Package ij.gui

# Class ProfilePlot

java.lang.Object
ij.gui.ProfilePlot

public class ProfilePlot extends Object
Creates a density profile plot of a rectangular selection or line selection.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ImagePlus`
`imp`
`protected double`
`magnification`
`protected double[]`
`profile`
`protected String`
`units`
`protected double`
`xInc`
`protected float[]`
`xValues`
`protected String`
`yLabel`

## Constructor Summary

Constructors
Constructor
Description
`ProfilePlot()`
`ProfilePlot(ImagePlus imp)`
`ProfilePlot(ImagePlus imp, boolean averageHorizontally)`

## Method Summary

Modifier and Type
Method
Description
`void`
`createWindow()`
Displays this profile plot in a window.
`static double[]`
`getColumnAverageProfile(Rectangle rect, ImageProcessor ip)`
`static double`
`getFixedMax()`
Returns the profile plot y-axis max.
`static double`
`getFixedMin()`
Returns the profile plot y-axis min.
`double`
`getMax()`
Returns the calculated maximum value.
`double`
`getMin()`
Returns the calculated minimum value.
`Plot`
`getPlot()`
`Dimension`
`getPlotSize()`
Returns the size of the plot that createWindow() creates.
`double[]`
`getProfile()`
Returns the profile plot data.
`static void`
`setMinAndMax(double min, double max)`
Sets the y-axis min and max.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### imp

protected ImagePlus imp

### profile

protected double[] profile

### magnification

protected double magnification

### xInc

protected double xInc

### units

protected String units

### yLabel

protected String yLabel

### xValues

protected float[] xValues

## Constructor Details

### ProfilePlot

public ProfilePlot()

### ProfilePlot

public ProfilePlot(ImagePlus imp)

### ProfilePlot

public ProfilePlot(ImagePlus imp, boolean averageHorizontally)

## Method Details

### getPlotSize

public Dimension getPlotSize()
Returns the size of the plot that createWindow() creates.

### createWindow

public void createWindow()
Displays this profile plot in a window.

### getPlot

public Plot getPlot()

### getProfile

public double[] getProfile()
Returns the profile plot data.

### getMin

public double getMin()
Returns the calculated minimum value.

### getMax

public double getMax()
Returns the calculated maximum value.

### setMinAndMax

public static void setMinAndMax(double min, double max)
Sets the y-axis min and max. Specify (0,0) to autoscale.

### getFixedMin

public static double getFixedMin()
Returns the profile plot y-axis min. Auto-scaling is used if min=max=0.

### getFixedMax

public static double getFixedMax()
Returns the profile plot y-axis max. Auto-scaling is used if min=max=0.

### getColumnAverageProfile

public static double[] getColumnAverageProfile(Rectangle rect, ImageProcessor ip)